General
cancel
Showing results for 
Search instead for 
Did you mean: 

Move PA-RISC application with java 1.4.1 to Itanium

Wim Rombauts
Honored Contributor

Move PA-RISC application with java 1.4.1 to Itanium

Most of our applications are running on Itanium systems by now (HP-UX 11i v3)
But some legacy applications still run on PA-RISC (HP-UX 11i v1).
Now I have this application with most processes running native-code PA-RISC executables, but also a java 1.4.1 process. This java software is included in the application installation directory, so it is separate from what is installed by the OS. The jdk directory doesn't even contain any IA64 code yet.

Let's suppose the application is written well, and can be run on HP-UX 11i v3 PA-RISC using the binary compatibility that HP promises.
What are your thoughts about moving this software (including this java process) to our Itanium systems, using ARIES ?
5 REPLIES
Kenan Erdey
Honored Contributor

Re: Move PA-RISC application with java 1.4.1 to Itanium

hi,

a question i had asked a while ago:

http://forums13.itrc.hp.com/service/forums/questionanswer.do?threadId=1323982
Computers have lots of memory but no imagination
Duncan Edmonstone
Honored Contributor

Re: Move PA-RISC application with java 1.4.1 to Itanium

The big question with these emulated environments isn't usually "can we get it to run and perform adequately?" (cos the answer is usually yes), but "who will support it?".

If this is software from a 3rd party ISV, then you need to know their take on the situation. If its in-house, then what do your developers/app support folks think?

As for ARIES, well I presume you've had a good look at the information here:

http://www.hp.com/go/aries

For the app you describe, you might also want to look at the MITR feature in ARIES here:

http://www.hp.com/go/mitr

HTH

Duncan

HTH

Duncan
Dennis Handly
Acclaimed Contributor

Re: Move PA-RISC application with java 1.4.1 to Itanium

>What are your thoughts about moving this software (including this java process) to our Integrity systems, using ARIES?

Does your java code use any JNI's that are still PA? If none or you port those, you can run java natively.
Wim Rombauts
Honored Contributor

Re: Move PA-RISC application with java 1.4.1 to Itanium

I don't worry about vendor support for this application too much, since it's a "dead" part of a bigger application.
We could upgrade this bigger application, and then we could migrate away from this dead part, but the business has no short-term plans for this.
We have development and test systems available to verify correct operation for some time before migrating the production environment.

MITR may indeed be an option, I will keep it in mind.

Running java natively will be difficult, since the co-installed java 1.4.1 has no IA64 executables, and to my knowledge, java 1.4.1 has never been supported natively on IA64.
MILIND B DESAI
Occasional Visitor

Re: Move PA-RISC application with java 1.4.1 to Itanium

MITR is supported starting from Integrity Java 1.4.2.20 (this is documented in MITR README on hp.com/go/mitr). So unless customer upgrades Java version, MITR is not an option.

The application with the embeded Java can be migrated using ARIES.